/********************************************************************************
*                                                                               *
*                      F X   M O V I E   M A N A G E R                          *
*                                                                               *
*********************************************************************************
* Copyright(C) 2008,2013 by Luigi Ziviani <ziviani_luigi@yahoo.it>.             *
* All Rights Reserved.                            version 6.4                   *
*********************************************************************************
* Id: fxmmfilelist.h,                             2008/01/01                    *
*********************************************************************************
* This file is part of FXMOVIEMANAGER                                           *
*                                                                               *
* FXMOVIEMANAGER is free software; you can redistribute it and/or modify        *
* it under the terms of the GNU General Public License as published by          *
* the Free Software Foundation; either version 3 of the License, or             *
* (at your option) any later version.                                           *
*                                                                               *
* FXMOVIEMANAGER is distributed in the hope that it will be useful,             *
* but WITHOUT ANY WARRANTY; without even the implied warranty of                *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                 *
* GNU General Public License for more details.                                  *
*                                                                               *
* You should have received a copy of the GNU General Public License             *
* along with this program; if not, write to the Free Software                   *
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA     * 
********************************************************************************/
#ifndef FXMMFILELIST_H
#define FXMMFILELIST_H

#ifndef FXICONLIST_H
#include <FXIconList.h>
#endif

#ifndef FXFILELIST_H
#include <FXFileList.h>
#endif


class fxmmFileList;

//! subclass FXFileList to override some functions.
class fxmmFileList : public FXFileList {
  FXDECLARE(fxmmFileList)

protected:
	fxmmFileList();  // for serialization to be implemented in the .cpp file

private:
	fxmmFileList(const fxmmFileList&){};
	fxmmFileList &operator=(const fxmmFileList&){};

public:
  enum {

    };

public:


public:
// Construct a file list
	fxmmFileList(FXComposite *p,FXObject* tgt,FXSelector sel,FXuint opts,FXint x,FXint y,FXint w,FXint h);

	void updateIconApp(FXApp* app,FXDirList *dirlist,const FXString& dirname);

// Destroy
	virtual ~fxmmFileList();
};

#endif
